# PhasicFlow: src/phasicFlow/containers/pointField/internalField/internalField.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

internalField.hpp File Reference
Include dependency graph for internalField.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | internalField< T, MemorySpace >

## Namespaces

| pFlow

## Functions

template<class T , class MemorySpace >
iOstream & | operator<< (iOstream &os, const internalField< T, MemorySpace > &ifeild)